| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
SV_6DOF_GY_KALMAN Struct Reference

`#include <fusion_types.h>`

Collaboration diagram for SV_6DOF_GY_KALMAN:

## Data Fields
float | fPhiPl
float | fThePl
float | fPsiPl
float | fRhoPl
float | fChiPl
float | fRPl [3][3]
struct fquaternion | fqPl
float | fRVecPl [3]
float | fOmega [3]
int32 | systick
float | fbPl [3]
float | fThErrPl [3]
float | fbErrPl [3]
float | fzErrMi [3]
float | fRMi [3][3]
struct fquaternion | fqMi
struct fquaternion | fDeltaq
float | faSePl [3]
float | faErrSePl [3]
float | fgErrSeMi [3]
float | fgSeGyMi [3]
float | faSeMi [3]
float | fQvAA
float | fPPlus9x9 [9][9]
float | fK9x3 [9][3]
float | fQw9x9 [9][9]
float | fC3x9 [3][9]
float | fcasq
float | fFastdeltat
float | fdeltat
float | fdeltatsq
float | fQwbplusQvG
int16 | iFirstOrientationLock
int8 | resetflag

## Detailed Description

Definition at line 153 of file fusion_types.h.

## Field Documentation

float faErrSePl[3]

Definition at line 183 of file fusion_types.h.

Referenced by fInit_6DOF_GY_KALMAN(), and fRun_6DOF_GY_KALMAN().

float faSeMi[3]

Definition at line 186 of file fusion_types.h.

Referenced by fRun_6DOF_GY_KALMAN().

float faSePl[3]

Definition at line 182 of file fusion_types.h.

Referenced by fInit_6DOF_GY_KALMAN(), and fRun_6DOF_GY_KALMAN().

float fbErrPl[3]

Definition at line 175 of file fusion_types.h.

Referenced by fInit_6DOF_GY_KALMAN(), and fRun_6DOF_GY_KALMAN().

float fbPl[3]

Definition at line 173 of file fusion_types.h.

Referenced by fInit_6DOF_GY_KALMAN(), and fRun_6DOF_GY_KALMAN().

float fC3x9[3][9]

Definition at line 191 of file fusion_types.h.

Referenced by fInit_6DOF_GY_KALMAN(), and fRun_6DOF_GY_KALMAN().

float fcasq

Definition at line 192 of file fusion_types.h.

Referenced by fInit_6DOF_GY_KALMAN(), and fRun_6DOF_GY_KALMAN().

float fChiPl

Definition at line 161 of file fusion_types.h.

Referenced by fRun_6DOF_GY_KALMAN().

struct fquaternion fDeltaq

Definition at line 181 of file fusion_types.h.

Referenced by fRun_6DOF_GY_KALMAN().

float fdeltat

Definition at line 194 of file fusion_types.h.

Referenced by fInit_6DOF_GY_KALMAN(), and fRun_6DOF_GY_KALMAN().

float fdeltatsq

Definition at line 195 of file fusion_types.h.

Referenced by fInit_6DOF_GY_KALMAN(), and fRun_6DOF_GY_KALMAN().

float fFastdeltat

Definition at line 193 of file fusion_types.h.

Referenced by fInit_6DOF_GY_KALMAN(), and fRun_6DOF_GY_KALMAN().

float fgErrSeMi[3]

Definition at line 184 of file fusion_types.h.

Referenced by fRun_6DOF_GY_KALMAN().

float fgSeGyMi[3]

Definition at line 185 of file fusion_types.h.

Referenced by fRun_6DOF_GY_KALMAN().

float fK9x3[9][3]

Definition at line 189 of file fusion_types.h.

Referenced by fRun_6DOF_GY_KALMAN().

float fOmega[3]

Definition at line 167 of file fusion_types.h.

Referenced by fRun_6DOF_GY_KALMAN().

float fPhiPl

Definition at line 157 of file fusion_types.h.

Referenced by fRun_6DOF_GY_KALMAN().

float fPPlus9x9[9][9]

Definition at line 188 of file fusion_types.h.

Referenced by fRun_6DOF_GY_KALMAN().

float fPsiPl

Definition at line 159 of file fusion_types.h.

Referenced by fRun_6DOF_GY_KALMAN().

struct fquaternion fqMi

Definition at line 180 of file fusion_types.h.

Referenced by fRun_6DOF_GY_KALMAN().

struct fquaternion fqPl

Definition at line 164 of file fusion_types.h.

Referenced by fInit_6DOF_GY_KALMAN(), and fRun_6DOF_GY_KALMAN().

float fQvAA

Definition at line 187 of file fusion_types.h.

Referenced by fInit_6DOF_GY_KALMAN(), and fRun_6DOF_GY_KALMAN().

float fQw9x9[9][9]

Definition at line 190 of file fusion_types.h.

Referenced by fInit_6DOF_GY_KALMAN(), and fRun_6DOF_GY_KALMAN().

float fQwbplusQvG

Definition at line 196 of file fusion_types.h.

Referenced by fInit_6DOF_GY_KALMAN(), and fRun_6DOF_GY_KALMAN().

float fRhoPl

Definition at line 160 of file fusion_types.h.

Referenced by fRun_6DOF_GY_KALMAN().

float fRMi[3][3]

Definition at line 179 of file fusion_types.h.

Referenced by fRun_6DOF_GY_KALMAN().

float fRPl[3][3]

Definition at line 163 of file fusion_types.h.

Referenced by fInit_6DOF_GY_KALMAN(), and fRun_6DOF_GY_KALMAN().

float fRVecPl[3]

Definition at line 165 of file fusion_types.h.

Referenced by fRun_6DOF_GY_KALMAN().

float fThePl

Definition at line 158 of file fusion_types.h.

Referenced by fRun_6DOF_GY_KALMAN().

float fThErrPl[3]

Definition at line 174 of file fusion_types.h.

Referenced by fInit_6DOF_GY_KALMAN(), and fRun_6DOF_GY_KALMAN().

float fzErrMi[3]

Definition at line 178 of file fusion_types.h.

int16 iFirstOrientationLock

Definition at line 197 of file fusion_types.h.

Referenced by fInit_6DOF_GY_KALMAN(), and fRun_6DOF_GY_KALMAN().

int8 resetflag

Definition at line 198 of file fusion_types.h.

Referenced by fInit_6DOF_GY_KALMAN(), fRun_6DOF_GY_KALMAN(), and Fusion_Init().

int32 systick

Definition at line 169 of file fusion_types.h.

Referenced by Fusion_Run().

The documentation for this struct was generated from the following file:

- SensorFusion/fusion_types.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.